Name:          sugar-runner
Version:       0.100.1
Release:       2%{?dist}
Summary:       Sugar runner emulator for development
Group:         User Interface/Desktops
License:       GPLv2+
URL:           http://sugarlabs.org/
Source0:       http://download.sugarlabs.org/sources/sucrose/glucose/%{name}/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: libX11-devel
BuildRequires: libXrandr-devel
Requires: sugar
Requires: xorg-x11-server-Xephyr

Provides: sugar-emulator
Obsoletes: sugar-emulator

%description
sugar-runner allows to run sugar without using a display manager as usually
required by X desktops. You can run it either from a text console
or from inside another X session. By default it runs fullscreen but when inside
X you can specify the window size using the --resolution option.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with %{name}.

%prep
%setup -q

# Fix desktop file
sed -i 's/Teaching/X-Teaching/' data/sugar-runner.desktop

%build
%configure --disable-static

make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc COPYING
%{_bindir}/sugar-runner
%{_libexecdir}/sugar-runner
%{_libdir}/girepository-1.0/SugarRunner-1.0.typelib
%{_libdir}/libsugarrunner.so.*
%{_datadir}/applications/sugar-runner.desktop
%{_datadir}/icons/hicolor/scalable/apps/sugar-xo.svg

%files devel
%{_libdir}/*.so
%{_datadir}/gir-1.0/SugarRunner-1.0.gir

%changelog
* Wed Nov 27 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.100.1-2
- Add Requires on xorg-x11-server-Xephyr

* Fri Nov 22 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.100.1-1
- Sugar 0.100.1 stable release

* Fri Nov  1 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.100.0-1
- Sugar 0.100.0 stable release

* Mon Sep  2 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.99.3-2
- Initial review updates

* Thu Aug 15 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.99.3-1
- Initial Packaging
